> ## Documentation Index
> Fetch the complete documentation index at: https://docs.healvi-wallet.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Send self-service email to a customer

> Sends a self-service email to a customer. The request is rate-limited to once every 2 minutes per user/customer pair.



## OpenAPI

````yaml openapi/openapi.json post /api/customers/{id}/send-self-service-email
openapi: 3.0.0
info:
  title: Healvi Wallet API
  description: API for managing Healvi Wallet
  version: 1.0.0
servers: []
security: []
tags:
  - name: Companies
    description: Companies
  - name: Customers
    description: Customers
  - name: Number Ranges
    description: Number Ranges
  - name: Signup Pages
    description: Signup Pages
paths:
  /api/customers/{id}/send-self-service-email:
    post:
      tags:
        - Customers
      summary: Send self-service email to a customer
      description: >-
        Sends a self-service email to a customer. The request is rate-limited to
        once every 2 minutes per user/customer pair.
      operationId: sendSelfServiceEmail
      parameters:
        - name: id
          in: path
          description: Customer ID
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Self-service email sent successfully
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Self-service email sent successfully.
                type: object
        '422':
          description: Customer does not have an email address
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Customer does not have an email address.
                type: object
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: >-
                      You can only send the self-service email once every 2
                      minutes.
                type: object
        '500':
          description: Server error
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: An error occurred while sending the self-service email.
                  error:
                    type: string
                    example: Exception message
                type: object
      security:
        - sanctum: []
components:
  securitySchemes:
    sanctum:
      type: http
      description: Enter your JWT token in the format 'Bearer <token>'
      bearerFormat: JWT
      scheme: bearer

````